Redmine - Patch #31999

Add missing fixtures to TimelogCustomFieldsVisibilityTest
2019-09-03 07:25 - Yuichi HARADA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version:

Description
TimelogCustomFieldsVisibilityTest has failed.

$ RAILS_ENV=test bundle exec rake db:migrate:reset

$ RAILS_ENV=test bundle exec rake test TEST=test/functional/timelog_custom_fields_visibility_test.

rb
Run options: —--seed 50848

# Running:

ol

Failure:

TimelogCustomFieldsVisibilityTest#test_edit_should_not_show_custom_fields_not_visible_for_user

st/functional/timelog_custom_fields_visibility_ test.rb:124]:
Expected response to be a <2XX: success>, but was a <404: Not Found>

bin/rails test test/functional/timelog_custom_fields_visibility_test.rb:111

Finished in 2.170411s, 1.8430 runs/s, 17.0475 assertions/s.
4 runs, 37 assertions, 1 failures, 0 errors, 0 skips

| think that because the fixtures is not enough.

[te

diff --git a/test/functional/timelog_custom_fields_visibility_test.rb b/test/functional/timelog_cu

stom_fields_visibility_test.rb
index d43f3a350..604dd36¢c7 100644
—-—— a/test/functional/timelog_custom_fields_visibility_test.rb
+++ b/test/functional/timelog_custom_fields_visibility_test.rb
@@ -26,11 +26,11 @@ class TimelogCustomFieldsVisibilityTest < Redmine::ControllerTest
:roles,
:members,
:member_roles,
. :issue_statuses,
+ :issues, :issue_statuses,
:trackers,
:projects_trackers,
:enabled_modules,
= :enumerations,
+ :time_entries, :enumerations,
:workflows,
:custom_fields, :custom_values, :custom_fields_trackers

Related issues:
Related to Redmine - Feature #31859: Per role visibility settings for spent t... Closed

Associated revisions

Revision 18422 - 2019-09-03 08:16 - Go MAEDA
Add missing fixtures to TimelogCustomFieldsVisibilityTest (#31999).

2025-05-09

1/2




Patch by Yuichi HARADA.

History

#1 - 2019-09-03 08:17 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version set to 4.1.0

Committed the fix. Thank you.

#2 - 2019-09-03 08:28 - Go MAEDA
- Target version deleted (4.1.0)
Removing the target version.

Since test_edit_should_not_show_custom_fields_not_visible_for_user was added by #31859, the reported error does not affect to 4.0-stable. r18422
should be considered as a part of #31859.

#3 - 2019-09-03 08:28 - Go MAEDA

- Related to Feature #31859: Per role visibility settings for spent time custom fields added
